#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           haruna
Version:        0.11.1
Release:        %mkrel 1
Summary:        Open source video player built with Qt/QML and libmpv
Group:          Graphical desktop/KDE
License:        BSD and CC-BY and CC-BY-SA and GPLv2+ and LGPLv2+ and GPLv3+
URL:            https://apps.kde.org/haruna/
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
Source1:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz.sig

## upstream patches

BuildRequires:  kf5-rpm-macros
BuildRequires:  gettext

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5X11Extras)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5ConfigWidgets)

BuildRequires:  cmake(Breeze)

BuildRequires:  pkgconfig(mpv)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libpostproc)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)

Recommends:     yt-dlp

%description
Open source media player built with Qt/QML and libmpv.

Features:
 * play online videos, through youtube-dl;
 * supports youtube playlists;
 * toggle playlist with mouse-over, playlist overlays the video;
 * auto skip chapter containing certain words;
 * configurable shortcuts and mouse buttons;
 * quick jump to next chapter by middle click on progress bar.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.{svg,png}
%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml

#--------------------------------------------------------------------

%package        handbook
Summary:        Haruna Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides haruna handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

# Cleaning icons with non-standard resolution
for i in 44 150 310; do
  rm -rf %{buildroot}%{_kf5_iconsdir}/hicolor/"${i}x${i}"
done


%changelog
* Fri Jun 02 2023 daviddavid <daviddavid> 0.11.1-1.mga9
+ Revision: 1960576
- new version: 0.11.1

* Fri May 26 2023 daviddavid <daviddavid> 0.11.0-1.mga9
+ Revision: 1958535
- new version: 0.11.0

* Mon Jan 30 2023 daviddavid <daviddavid> 0.10.3-1.mga9
+ Revision: 1936920
- initial package haruna

